## DzlDockRevealer

DzlDockRevealer

## Functions

GtkWidget * | dzl_dock_revealer_new ()
void | dzl_dock_revealer_animate_to_position ()
DzlDockRevealerTransitionType | dzl_dock_revealer_get_transition_type ()
void | dzl_dock_revealer_set_transition_type ()
gboolean | dzl_dock_revealer_get_child_revealed ()
void | dzl_dock_revealer_set_reveal_child ()
gboolean | dzl_dock_revealer_get_reveal_child ()
gint | dzl_dock_revealer_get_position ()
void | dzl_dock_revealer_set_position ()
gboolean | dzl_dock_revealer_get_position_set ()
void | dzl_dock_revealer_set_position_set ()
guint | dzl_dock_revealer_get_transition_duration ()
void | dzl_dock_revealer_set_transition_duration ()
gboolean | dzl_dock_revealer_is_animating ()

## Properties

gboolean | child-revealed | Read
int | position | Read / Write
gboolean | position-set | Read / Write
gboolean | reveal-child | Read / Write
guint | transition-duration | Read / Write
DzlDockRevealerTransitionType | transition-type | Read / Write

## Types and Values

#define | DZL_TYPE_DOCK_REVEALER
struct | DzlDockRevealerClass
| DzlDockRevealer

## Object Hierarchy

        GEnum
        ╰── DzlDockRevealerTransitionType
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlBin
                            ╰── DzlDockRevealer
                                ╰── DzlDockBinEdge

## Implemented Interfaces

DzlDockRevealer implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_dock_revealer_new ()

    GtkWidget *
    dzl_dock_revealer_new (void);

### dzl_dock_revealer_animate_to_position ()

    void
    dzl_dock_revealer_animate_to_position (DzlDockRevealer *self,
                                           gint position,
                                           guint transition_duration);

### dzl_dock_revealer_get_transition_type ()

    DzlDockRevealerTransitionType
    dzl_dock_revealer_get_transition_type (DzlDockRevealer *self);

### dzl_dock_revealer_set_transition_type ()

    void
    dzl_dock_revealer_set_transition_type (DzlDockRevealer *self,
                                           DzlDockRevealerTransitionType transition_type);

### dzl_dock_revealer_get_child_revealed ()

    gboolean
    dzl_dock_revealer_get_child_revealed (DzlDockRevealer *self);

### dzl_dock_revealer_set_reveal_child ()

    void
    dzl_dock_revealer_set_reveal_child (DzlDockRevealer *self,
                                        gboolean reveal_child);

### dzl_dock_revealer_get_reveal_child ()

    gboolean
    dzl_dock_revealer_get_reveal_child (DzlDockRevealer *self);

### dzl_dock_revealer_get_position ()

    gint
    dzl_dock_revealer_get_position (DzlDockRevealer *self);

### dzl_dock_revealer_set_position ()

    void
    dzl_dock_revealer_set_position (DzlDockRevealer *self,
                                    gint position);

### dzl_dock_revealer_get_position_set ()

    gboolean
    dzl_dock_revealer_get_position_set (DzlDockRevealer *self);

### dzl_dock_revealer_set_position_set ()

    void
    dzl_dock_revealer_set_position_set (DzlDockRevealer *self,
                                        gboolean position_set);

### dzl_dock_revealer_get_transition_duration ()

    guint
    dzl_dock_revealer_get_transition_duration
                                   (DzlDockRevealer *self);

### dzl_dock_revealer_set_transition_duration ()

    void
    dzl_dock_revealer_set_transition_duration
                                   (DzlDockRevealer *self,
                                    guint transition_duration);

### dzl_dock_revealer_is_animating ()

    gboolean
    dzl_dock_revealer_is_animating (DzlDockRevealer *self);

This is a helper to check if the revealer is animating. You probably don't want to poll this function. Connect to notify::child-revealed or notify::reveal-child instead.

#### Parameters

self | a DzlDockRevealer |

#### Returns

`TRUE` if an animation is in progress.

## Types and Values

### DZL_TYPE_DOCK_REVEALER

    #define DZL_TYPE_DOCK_REVEALER                 (dzl_dock_revealer_get_type())

### struct DzlDockRevealerClass

    struct DzlDockRevealerClass {
      DzlBinClass parent;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### DzlDockRevealer

    typedef struct _DzlDockRevealer DzlDockRevealer;

## Property Details

### The `“child-revealed”` property

      “child-revealed”           gboolean

If the child is fully revealed.

Owner: DzlDockRevealer

Flags: Read

Default value: TRUE

### The `“position”` property

      “position”                 int

Position.

Owner: DzlDockRevealer

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“position-set”` property

      “position-set”             gboolean

If the position has been set.

Owner: DzlDockRevealer

Flags: Read / Write

Default value: FALSE

### The `“reveal-child”` property

      “reveal-child”             gboolean

If the child should be revealed.

Owner: DzlDockRevealer

Flags: Read / Write

Default value: FALSE

### The `“transition-duration”` property

      “transition-duration”      guint

Length of duration in milliseconds.

Owner: DzlDockRevealer

Flags: Read / Write

Default value: 0

### The `“transition-type”` property

      “transition-type”          DzlDockRevealerTransitionType

Transition Type.

Owner: DzlDockRevealer

Flags: Read / Write

Default value: DZL_DOCK_REVEALER_TRANSITION_TYPE_NONE